Get all sourcing programs
get
/fscmRestApi/resources/11.13.18.05/sourcingPrograms
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds a sourcing program with the specified primary key.
Finder Variables- ProgramHeaderId; integer; Value that uniquely identifies a sourcing program.
- ProgramsByNegotiationFinder Finds sourcing programs for the specified negotiation.
Finder Variables- bindAuctionHeaderId; integer;
- ProgramsByTeamMembersFinder Finds sourcing programs for the specified team member.
Finder Variables- bindTeamMemberPersonIds; string;
- PrimaryKey Finds a sourcing program with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BaseLineNotAllocatedToObjective; number; Baseline amount that isn't allocated to objectives in a sourcing program.
- CanDeleteFlag; boolean; Indicates whether the sourcing program can be deleted. Contains one of the following values: true or false. If true, then you can delete the sourcing program. If false, then you can't delete the sourcing program. This attribute doesn't have a default value.
- CanEditFlag; boolean; Indicates whether the sourcing program can be edited. Contains one of the following values: true or false. If true, then you can edit the sourcing program. If false, then you can't edit the sourcing program. This attribute doesn't have a default value.
- CanEditMonitorActionFlag; boolean; Indicates whether a user can edit the program by using actions on the monitor. Contains one of the following values: true or false. If true, then editing the monitor action is allowed. If false, then editing the monitor action isn't allowed. This attribute doesn't have a default value.
- CanLaunchFlag; boolean; Indicates whether the sourcing program can be launched. Contains one of the following values: true or false. If true, then you can start the sourcing program. If false, then you can't start the sourcing program. This attribute doesn't have a default value.
- CanMonitorFlag; boolean; Indicates whether the sourcing program can be monitored. Contains one of the following values: true or false. If true, then you can monitor the sourcing program. If false, then you can't monitor the sourcing program. This attribute doesn't have a default value.
- CanUpdateObjectiveResultsFlag; boolean; Indicates whether objective results can be updated. Contains one of the following values: true or false. If true, then objective results can be updated. If false, then objective results can't be updated. This attribute doesn't have a default value.
- CategoryId; integer; Indicates the unique identifier of category.
- CategoryName; string; Category name of the program.
- Comments; string; Comments provided while creating the program.
- CurrencyCode; string; Base currency code in which the negotiation will be conducted.
- CurrencyName; string; Base currency code in which the negotiation will be conducted.
- CurrentSpend; number; Current spend for which the program is created.
- DisplayPhase; string; Description of the program phase.
- DisplayStatus; string; Description of the program status.
- EndDate; string; The date when the program ends.
- GlobalProgramFlag; boolean; Value that indicates if the program is global.
- ListName; string; List name of the person in the program.
- NegotiatedSavings; number; Amount saved through negotiation for the sourcing program.
- NegotiatedSavingsPercent; number; Amount saved through negotiation for the sourcing program.
- NegotiationSavingsGoal; number; Savings goal for the negotiation.
- NegotiationSavingsGoalPercent; number; Savings goal for the negotiation.
- PersonId; integer; Identifier of the person who created the program.
- PersonNameId; integer; Unique identifier of the sourcing program owner.
- PhaseDisplayOrder; integer; Sequence in which the program phase is displayed.
- PlannedTargetSpend; number; Planned target spend for the sourcing program.
- Precision; integer; Planned target spend for the sourcing program.
- ProcurementBUId; integer; Unique identifier of the procurement business unit for which the program was created. It's populated only when the program isn't global.
- ProgramHeaderId; integer; Value that uniquely identifies the program.
- ProgramPhase; string; Determines phase of the program.
- ProgramStatus; string; Determines status of the program.
- PurchasingCatFlag; boolean; Indicates whether the category associated with the program is purchasing category.
- RateDate; string; Conversion date for the selected rate type.
- RateType; string; Rate type selected for the program.
- RemainingTargetSpend; number; Remaining target spend for the sourcing program.
- Savings; number; Savings amount that the program is trying to achieve.
- SavingsDeviation; number; Difference between the actual savings and the planned savings for the sourcing program.
- SavingsPercent; number; Savings percentage that the program is trying to achieve.
- StartDate; string; Date when the program starts.
- Synopsis; string; Program synopsis as defined by the user.
- TargetSpend; number; Target spend that the program is trying to achieve.
- Title; string; Program title defined by the user.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sourcingPrograms
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sourcingPrograms-item-response
Type:
Show Source
object-
attachments: array
Sourcing Program Attachments
Title:
Sourcing Program AttachmentsAttachments associated with a sourcing program objective. -
BaseLineNotAllocatedToObjective: number
Read Only:
trueBaseline amount that isn't allocated to objectives in a sourcing program. -
CanDeleteFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the sourcing program can be deleted. Contains one of the following values: true or false. If true, then you can delete the sourcing program. If false, then you can't delete the sourcing program. This attribute doesn't have a default value. -
CanEditFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the sourcing program can be edited. Contains one of the following values: true or false. If true, then you can edit the sourcing program. If false, then you can't edit the sourcing program. This attribute doesn't have a default value. -
CanEditMonitorActionFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether a user can edit the program by using actions on the monitor. Contains one of the following values: true or false. If true, then editing the monitor action is allowed. If false, then editing the monitor action isn't allowed. This attribute doesn't have a default value. -
CanLaunchFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the sourcing program can be launched. Contains one of the following values: true or false. If true, then you can start the sourcing program. If false, then you can't start the sourcing program. This attribute doesn't have a default value. -
CanMonitorFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the sourcing program can be monitored. Contains one of the following values: true or false. If true, then you can monitor the sourcing program. If false, then you can't monitor the sourcing program. This attribute doesn't have a default value. -
CanUpdateObjectiveResultsFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether objective results can be updated. Contains one of the following values: true or false. If true, then objective results can be updated. If false, then objective results can't be updated. This attribute doesn't have a default value. -
CategoryId: integer
(int64)
Indicates the unique identifier of category.
-
CategoryName: string
Read Only:
trueMaximum Length:255Category name of the program. -
Comments: string
Maximum Length:
4000Comments provided while creating the program. -
CurrencyCode: string
Maximum Length:
15Base currency code in which the negotiation will be conducted. -
CurrencyName: string
Title:
Currency NameRead Only:trueMaximum Length:80Base currency code in which the negotiation will be conducted. -
CurrentSpend: number
Current spend for which the program is created.
-
DFF: array
DFF
-
DisplayPhase: string
Read Only:
trueMaximum Length:255Description of the program phase. -
DisplayStatus: string
Read Only:
trueMaximum Length:255Description of the program status. -
EndDate: string
(date)
The date when the program ends.
-
GlobalProgramFlag: boolean
Maximum Length:
1Value that indicates if the program is global. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ListName: string
Read Only:
trueMaximum Length:301List name of the person in the program. -
NegotiatedSavings: number
Read Only:
trueAmount saved through negotiation for the sourcing program. -
NegotiatedSavingsPercent: number
Read Only:
trueAmount saved through negotiation for the sourcing program. -
NegotiationSavingsGoal: number
Read Only:
trueSavings goal for the negotiation. -
NegotiationSavingsGoalPercent: number
Read Only:
trueSavings goal for the negotiation. -
PersonId: integer
(int64)
Identifier of the person who created the program.
-
PersonNameId: integer
(int64)
Read Only:
trueUnique identifier of the sourcing program owner. -
PhaseDisplayOrder: integer
Read Only:
trueSequence in which the program phase is displayed. -
PlannedTargetSpend: number
Read Only:
truePlanned target spend for the sourcing program. -
Precision: integer
(int32)
Title:
PrecisionRead Only:truePlanned target spend for the sourcing program. -
ProcurementBUId: integer
(int64)
Unique identifier of the procurement business unit for which the program was created. It's populated only when the program isn't global.
-
ProgramHeaderId: integer
(int64)
Value that uniquely identifies the program.
-
ProgramPhase: string
Maximum Length:
20Determines phase of the program. -
ProgramStatus: string
Maximum Length:
30Determines status of the program. -
PurchasingCatFlag: boolean
Maximum Length:
1Indicates whether the category associated with the program is purchasing category. -
RateDate: string
(date)
Conversion date for the selected rate type.
-
RateType: string
Maximum Length:
30Rate type selected for the program. -
RemainingTargetSpend: number
Read Only:
trueRemaining target spend for the sourcing program. -
Savings: number
Savings amount that the program is trying to achieve.
-
SavingsDeviation: number
Read Only:
trueDifference between the actual savings and the planned savings for the sourcing program. -
SavingsPercent: number
Savings percentage that the program is trying to achieve.
-
sourcingProgramMembers: array
Sourcing Program Team Members
Title:
Sourcing Program Team MembersDetails about an organization's sourcing program and its associated team members. -
sourcingProgramObjectives: array
Sourcing Program Objectives
Title:
Sourcing Program ObjectivesDetails about an organization's sourcing program and its associated objectives. -
StartDate: string
(date)
Date when the program starts.
-
Synopsis: string
Maximum Length:
4000Program synopsis as defined by the user. -
TargetSpend: number
Target spend that the program is trying to achieve.
-
Title: string
Maximum Length:
80Program title defined by the user.
Nested Schema : Sourcing Program Attachments
Type:
arrayTitle:
Sourcing Program AttachmentsAttachments associated with a sourcing program objective.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sourcing Program Team Members
Type:
arrayTitle:
Sourcing Program Team MembersDetails about an organization's sourcing program and its associated team members.
Show Source
Nested Schema : Sourcing Program Objectives
Type:
arrayTitle:
Sourcing Program ObjectivesDetails about an organization's sourcing program and its associated objectives.
Show Source
Nested Schema : sourcingPrograms-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdUnique identifier of the asynchronous tracker. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdUnique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30Category name of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueName of the user who created the attachment. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the attachment was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILECode that identifies the attachment data type. -
Description: string
Title:
DescriptionMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
DmDocumentId: string
Maximum Length:
255Unique identifier of the attachment document. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000Folder path where the attachment is stored. -
DmVersionNumber: string
Maximum Length:
255Version number of the attachment. -
DownloadInfo: string
Title:
DownloadInfoInformation used to download the attachment. -
ErrorStatusCode: string
Title:
Error Status CodeCode that indicates the attachment error status. -
ErrorStatusMessage: string
Title:
Error Status MessageError message that indicates the attachment upload status. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe date when the attachment expires. -
FileContents: string
(byte)
Title:
File ContentsContents of the attachment file. -
FileName: string
Title:
File NameMaximum Length:2048Details about an organization's sourcing objectives and the associated negotiations. -
FileUrl: string
Title:
File UrlURL of the attachment file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueWeb image of the attachment file. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the attachment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueDetails about an organization's sourcing objectives and the associated negotiations. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionAction to be performed on the attachment after it's uploaded. -
Title: string
Title:
TitleDetails about an organization's sourcing objectives and the associated negotiations. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeContent type of the uploaded file. -
UploadedFileLength: integer
Title:
File SizeFile size of the uploaded attachment. -
UploadedFileName: string
Title:
Uploaded File NameName of the uploaded file. -
UploadedText: string
Title:
Uploaded TextText of the uploaded attachment. -
Uri: string
Title:
UriMaximum Length:4000Uniform resource identifier of the attachment. -
Url: string
Title:
UrlMaximum Length:4000URL of the attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255User name associated with the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : sourcingPrograms-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context AttributeMaximum Length:30Context Attribute -
__FLEX_Context_DisplayValue: string
Title:
Context AttributeContext Attribute -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProgramHeaderId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramMembers-item-response
Type:
Show Source
object-
AccessType: string
Read Only:
trueMaximum Length:255Determines the access level of the team member. -
AccessTypeCode: string
Maximum Length:
30Value that identifies the agent access for the lookup code. Valid value is MANAGE_NEGOTIATIONS. -
DisplayName: string
Title:
NameRead Only:trueMaximum Length:240Display name of the program team member. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MemberType: string
Maximum Length:
1Value that identifies the program team member type. -
Note: string
Maximum Length:
4000Note entered for the program team member. -
PersonId: integer
(int64)
Value that uniquely identifies the program team member name.
-
PersonNameId: integer
(int64)
Read Only:
trueValue that uniquely identifies the name of the program team member. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
-
TeamMemberId: integer
(int64)
Value that uniquely identifies the program team member name.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramObjectives-item-response
Type:
Show Source
object-
AssignedTo: string
Read Only:
trueMaximum Length:240User assigned to the sourcing program objective. -
attachments: array
Sourcing Program Objectives Attachments
Title:
Sourcing Program Objectives AttachmentsAttachments associated with a sourcing program objective. -
CategoryId: integer
(int64)
Unique identifier of the category.
-
CategoryNameDisplay: string
Read Only:
trueMaximum Length:2400Name of the category of the sourcing program objective. -
Comments: string
Maximum Length:
4000Unique identifier of the category. -
CreationDate: string
(date-time)
Read Only:
trueDate and time the objective row was created. -
CurrentSpend: number
Sum of the current Amount of all award completed negotiations within the objective.
-
Description: string
Maximum Length:
4000Description of the objective. -
EndDate: string
(date)
Date when the objective ends.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Maximum Length:
80Name of the objective. -
NegotiatedAwardAmount: number
Read Only:
trueName of the objective. -
NegotiatedSavings: number
Read Only:
trueNegotiated savings amount for the sourcing program objective. -
NegotiatedSavingsPercent: number
Read Only:
truePercentage of negotiated savings for the sourcing program objective. -
NegotiationCurrentSpend: number
Read Only:
trueCurrent spend defined in the sourcing program objective. -
NegotiationSavingsGoal: number
Read Only:
trueSavings goal for the negotiation. -
NegotiationSavingsGoalPercent: number
Read Only:
truePercentage savings goal for the negotiation. -
NegotiationTargetSpend: number
Read Only:
trueTarget spend defined in the sourcing program objective. -
ObjectiveDisplayStatus: string
Maximum Length:
255Display status of the objective. -
ObjectiveHeaderId: integer
(int64)
Value that uniquely identifies the objective.
-
ObjectiveType: string
Maximum Length:
30Description of the objective type. -
ObjectiveTypeDisplay: string
Read Only:
trueMaximum Length:255Type of the sourcing program objective. -
PersonId: integer
(int64)
Description of the objective type.
-
PlannedCurrentSpend: number
Read Only:
truePlanned current spend defined for the sourcing program objective. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
-
PurchasingCatFlag: boolean
Maximum Length:
1Value that indicates if the category associated with the program is purchasing category. -
RemainingTargetSpend: number
Value that indicates that target spend amount hasn't been allocated to the negotiation
-
RollUpFlag: boolean
Maximum Length:
1Value that indicates whether the savings and spend values of the objective's negotiations will be counted for program level spend and savings. -
Savings: number
Savings amount that the program is trying to achieve.
-
SavingsDeviation: number
Read Only:
trueDifference between the target savings and the actual savings for the sourcing program objective. -
SavingsPercent: number
Savings percentage that the program is trying to achieve.
-
sourcingProgramNegotiations: array
Sourcing Program Objective Negotiations
Title:
Sourcing Program Objective NegotiationsDetails about an organization's sourcing program and its associated negotiations. -
StartDate: string
(date)
Date when the objective starts.
-
Status: string
Maximum Length:
30Description of the objective status. -
TargetSpend: number
Target spend that the program is trying to achieve.
-
TotalPlannedCurrentSpend: number
Sum of all the negotiation current amounts of objectives.
-
TotalPlannedSavingGoal: number
Read Only:
truePlanned Savings Goal of all award completed negotiations within the objective. -
TotalPlannedSavingGoalPercent: number
Savings percentage that the program is trying to achieve.
-
TotalPlannedTargetSpend: number
Sum of Negotiation Target Spend for all the objectives.
Nested Schema : Sourcing Program Objectives Attachments
Type:
arrayTitle:
Sourcing Program Objectives AttachmentsAttachments associated with a sourcing program objective.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sourcing Program Objective Negotiations
Type:
arrayTitle:
Sourcing Program Objective NegotiationsDetails about an organization's sourcing program and its associated negotiations.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramObjectives-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdUnique identifier of the asynchronous tracker. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdUnique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30Category name of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueUser who created the attachment. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the attachment was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILECode that identifies the attachment data type. -
Description: string
Title:
DescriptionMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
DmDocumentId: string
Maximum Length:
255Unique identifier of the attachment document. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000Folder path where the attachment is stored. -
DmVersionNumber: string
Maximum Length:
255Version number of the attachment. -
DownloadInfo: string
Title:
DownloadInfoInformation used to download the attachment. -
ErrorStatusCode: string
Title:
Error Status CodeCode that indicates the attachment error status. -
ErrorStatusMessage: string
Title:
Error Status MessageError message that indicates the attachment upload status. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe date when the attachment expires. -
FileContents: string
(byte)
Title:
File ContentsContents of the attachment file. -
FileName: string
Title:
File NameMaximum Length:2048Details about an organization's sourcing objectives and the associated negotiations. -
FileUrl: string
Title:
File UrlURL of the attachment file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueWeb image of the attachment file. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the attachment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255Details about an organization's sourcing objectives and the associated negotiations. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueUser name used to update the attachment for the sourcing program objective. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionAction to be performed on the attachment after it's uploaded. -
Title: string
Title:
TitleDetails about an organization's sourcing objectives and the associated negotiations. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeContent type of the uploaded file. -
UploadedFileLength: integer
Title:
File SizeFile size of the uploaded attachment. -
UploadedFileName: string
Title:
Uploaded File NameName of the uploaded file. -
UploadedText: string
Title:
Uploaded TextText of the uploaded attachment. -
Uri: string
Title:
UriMaximum Length:4000Uniform resource identifier of the attachment. -
Url: string
Title:
UrlMaximum Length:4000URL of the attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255User name associated with the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramObjectives-sourcingProgramNegotiations-item-response
Type:
Show Source
object-
AuctionHeaderId: integer
(int64)
Value that uniquely identifies the negotiation.
-
AwardAmount: number
Title:
Negotiated Award AmountAward amount identified in the objective. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the objective row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectiveHeaderId: integer
(int64)
Value that uniquely identifies the objective.
-
ObjectiveNegotiationId: integer
(int64)
Value that uniquely identifies the objective negotiation mapping.
-
OverrideFlag: boolean
Maximum Length:
1Value that indicates if the planned values are overridden manually. -
PlannedCurrentSpend: number
Sum of all the negotiation current amounts of objectives.
-
PlannedSavings: number
Savings amount that the program is trying to achieve.
-
PlannedSavingsPercent: number
Savings percentage that the program is trying to achieve.
-
PlannedTargetSpend: number
Sum of Negotiation Target Spend for all the objectives.
-
PlannedTitle: string
Maximum Length:
80Title for the manual contributions added to the objective. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all sourcing programs.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/sourcingPrograms"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/sourcingPrograms"
Example Response Body
The following example includes the contents of the response body
in JSON format:
{
"items": [
{
"ProgramHeaderId": "300100201311057",
"ProgramPhase": "NOT_STARTED",
"Savings": null,
"SavingsPercent": null,
"StartDate": null,
"Synopsis": null,
"TargetSpend": null,
"Title": "SPG_RO_1579791786",
"RateType": "Corporate",
"RateDate": "2020-01-23",
"PurchasingCatFlag": null,
"ProgramStatus": null,
"ProcurementBUId": null,
"PersonId": "300100037430652",
"CurrencyCode": "USD",
"CurrentSpend": null,
"Comments": null,
"CategoryId": null,
"EndDate": null,
"GlobalProgramFlag": true,
"CategoryName": null,
"DisplayPhase": "Not started",
"DisplayStatus": null,
"ListName": "PRC PON00007",
"PersonNameId": "300100037430653",
"PhaseDisplayOrder": "1",
"@context": {
"key": "300100201311057",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://cptcmmvqy.fusionapps.ocs.oc-test.com:443/fscmRestApi/resources/11.13.18.05/sourcingPrograms/300100201311057",
"name": "sourcingPrograms",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://cptcmmvqy.fusionapps.ocs.oc-test.com:443/fscmRestApi/resources/11.13.18.05/sourcingPrograms/300100201311057",
"name": "sourcingPrograms",
"kind": "item"
},
{
"rel": "child",
"href": "https://cptcmmvqy.fusionapps.ocs.oc-test.com:443/fscmRestApi/resources/11.13.18.05/sourcingPrograms/300100201311057/child/sourcingProgramMembers",
"name": "sourcingProgramMembers",
"kind": "collection"
},
{
"rel": "child",
"href": "https://cptcmmvqy.fusionapps.ocs.oc-test.com:443/fscmRestApi/resources/11.13.18.05/sourcingPrograms/300100201311057/child/sourcingProgramObjectives",
"name": "sourcingProgramObjectives",
"kind": "collection"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://cptcmmvqy.fusionapps.ocs.oc-test.com:443/fscmRestApi/resources/11.13.18.05/sourcingPrograms",
"name": "sourcingPrograms",
"kind": "collection"
}
]
}